# Video record

An action block that records video.

If the proceed option is set to Immediately, then the video will be recorded without pausing the fiber. If set to When complete, then the fiber will pause until the recording has completed.

The recording can be limited to a maximum duration and/or maximum file size, it can also be stopped with a Video record stop block or by cancelling the notification.

The path can be set to an existing or new file, or to a directory where the file will be placed with an automatic name. The path to the actual video file saved is assigned to the video file variable.

Note! If this block fail, try a different profile.

## Options

- Proceed — when the fiber should proceed.

## Input arguments

- Camera — camera to use.
- Audio source — audio source, default is Camcorder.
- Camcorder profile — video size and encoding profile used, default is High
- Rotation — angle of video rotation in degrees, rounded to nearest 90°, default is screen orientation.
- Zoom — zoom, default is 100%
- Flash mode — flash mode.
- Focus mode — focus mode.
- White balance — white balance.
- Color effect — color effect applied.
- Stabilization — whether to use video stabilization to reduces shaking.
- Maximum duration — maximum duration of recording, in seconds, default is no limit.
- Maximum file size — maximum file size of recording, in bytes, default is no limit.
- Destination path — file or directory path where the audio file will be saved, default is stored in the Android “DCIM” directory, file type depends on the profile.
- Audio focus — audio focus to request, default is Transient exclusive.
- Notification channel — UUID of notification channel used for showing notification during recording, default is no notification.
- Quiet — whether to play shutter sound, may not work on all device due to privacy laws, default is to play sound. (Android 4.2+)

## Output variables

- Video file — variable to assign the path to the video file.